#!/bin/bash

VERSION=$1
NICKNAME=$2
rm -rfv tildefriends-$VERSION
svn export . tildefriends-$VERSION
echo "tildefriends-$VERSION: $NICKNAME" > tildefriends-$VERSION/VERSION
tar \
	--exclude=deps/libbacktrace/Isaac.Newton-Opticks.txt \
	--exclude=deps/libsodium/builds \
	--exclude=deps/libsodium/configure \
	--exclude=deps/libsodium/test \
	--exclude=deps/libuv/docs \
	--exclude=deps/libuv/test \
	--exclude=deps/openssl \
	--exclude=deps/speedscope/*.map \
	--exclude=deps/sqlite/shell.c \
	--exclude=deps/zlib/contrib/vstudio \
	--exclude=deps/zlib/doc \
	-caf tildefriends-$VERSION.tar.xz tildefriends-$VERSION
rm -rfv tildefriends-$VERSION
